## dkms 2.3

=== Makefile ===
RELEASE_DATE := "22-September-2014"
RELEASE_MAJOR := 2
RELEASE_MINOR := 2
RELEASE_SUBLEVEL := 1
RELEASE_EXTRALEVEL := .0
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
DIST := unstable
SHELL=bash

SBIN = $(DESTDIR)/usr/sbin
ETC = $(DESTDIR)/etc/dkms
VAR = $(DESTDIR)/var/lib/dkms
MAN = $(DESTDIR)/usr/share/man/man8
INITD = $(DESTDIR)/etc/rc.d/init.d
LIBDIR = $(DESTDIR)/usr/lib/dkms
BASHDIR = $(DESTDIR)/etc/bash_completion.d
KCONF = $(DESTDIR)/etc/kernel
SHAREDIR = $(DESTDIR)/usr/share
DOCDIR = $(SHAREDIR)/doc/dkms
SYSTEMD = $(DESTDIR)/usr/lib/systemd/system

#Define the top-level build directory
BUILDDIR := $(shell pwd)
TOPDIR := $(shell pwd)

.PHONY = tarball

all: clean tarball rpm debs

clean:
	-rm -rf *~ dist/ dkms-freshmeat.txt

install:
	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
	mv -f dkms.versioned dkms
	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
	install -p -m 0755 dkms $(SBIN)
	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
	install -p -m 0644 dkms_dbversion $(VAR)
	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
	# install compressed manpage with proper timestamp and permissions
	gzip -c -9 dkms.8 > $(MAN)/dkms.8.gz
	chmod 0644 $(MAN)/dkms.8.gz
	touch --reference=dkms.8 $(MAN)/dkms.8.gz
	mkdir   -p -m 0755 $(KCONF)/prerm.d $(KCONF)/postinst.d
	install -p -m 0755 kernel_prerm.d_dkms  $(KCONF)/prerm.d/dkms
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms

DOCFILES=sample.spec sample.conf AUTHORS COPYING README.dkms sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec

doc-perms:
	# ensure doc file permissions ok
	chmod 0644 $(DOCFILES)

install-redhat-sysv: install doc-perms
	mkdir -m 0755 -p  $(INITD)
	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
	install -p -m 0755 dkms_autoinstaller $(INITD)

install-redhat-systemd: install doc-perms
	mkdir -m 0755 -p  $(SYSTEMD)
	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
	install -p -m 0644 dkms.service $(SYSTEMD)

install-doc:
	mkdir -m 0755 -p $(DOCDIR)
	install -p -m 0644 $(DOCFILES) $(DOCDIR)

install-debian: install install-doc
	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms_packages.py
	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
	ln -s template-dkms-mkdeb $(ETC)/template-dkms-mkdsc
	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
	chmod +x $(ETC)/template-dkms-mkdeb/debian/postinst
	chmod +x $(ETC)/template-dkms-mkdeb/debian/prerm
	chmod +x $(ETC)/template-dkms-mkdeb/debian/rules
	rm $(DOCDIR)/COPYING*
	rm $(DOCDIR)/sample*

deb_destdir=$(BUILDDIR)/dist
TARBALL=$(deb_destdir)/$(RELEASE_STRING).tar.gz
tarball: $(TARBALL)

$(TARBALL):
	mkdir -p $(deb_destdir)
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	cp -a ../$(RELEASE_NAME) $${tmp_dir}/$(RELEASE_STRING) ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > $${tmp_dir}/$(RELEASE_STRING)/dkms ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/$(RELEASE_STRING)/dkms.spec ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name .git -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dist -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name \*~ -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.rpm -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.tar.gz -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms-freshmeat.txt -type f -exec rm -f \{\} \; ; \
	rm -rf $${tmp_dir}/$(RELEASE_STRING)/debian ; \
	sync ; sync ; sync ; \
	tar cvzf $(TARBALL) -C $${tmp_dir} $(RELEASE_STRING); \
	rm -rf $${tmp_dir} ;


rpm: $(TARBALL) dkms.spec
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
	cp $(TARBALL) $${tmp_dir}/SOURCES ; \
	sed "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \
	pushd $${tmp_dir} > /dev/null 2>&1; \
	rpmbuild -ba --define "_topdir $${tmp_dir}" SPECS/dkms.spec ; \
	popd > /dev/null 2>&1; \
	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* dist ; \
	rm -rf $${tmp_dir}

debmagic: $(TARBALL)
	mkdir -p dist/
	ln -s $(TARBALL) $(DEB_TMP_BUILDDIR)/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz
	tar -C $(DEB_TMP_BUILDDIR) -xzf $(TARBALL)
	cp -ar debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
	chmod +x $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/rules
	cd $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING) ; \
	dch -v $(RELEASE_VERSION)-0 "New upstream version, $(RELEASE_VERSION)"; \
	dpkg-buildpackage -D -b -rfakeroot ; \
	dpkg-buildpackage -D -S -sa -rfakeroot ; \
	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/ ; \
	cd -

debs:
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST); \
	rm -rf $${tmp_dir}

fm:
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms-freshmeat.txt.in > dkms-freshmeat.txt

=== debian/changelog ===
dkms (2.3-3ubuntu9) bionic; urgency=medium

  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: use find
    to get all .ko modules from a dkms build to ensure we also catch any .kos
    that might have been built in subdirectories.
  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: make sure
    we only try to enroll a MOK if we've signed modules.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 16:42:51 -0400

dkms (2.3-3ubuntu8) bionic; urgency=medium

  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: handle
    signing of all .ko modules from a dkms build regardless of whether their
    name matches the dkms package name.  LP: #1766215.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Apr 2018 09:10:30 -0700

dkms (2.3-3ubuntu7) bionic; urgency=medium

  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: update
    for the new update-secureboot-policy code: have it generate a new MOK if
    there isn't one yet, and use that so sign newly-built kernel modules.
    (LP: #1748983) 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 18 Apr 2018 17:23:41 -0400

dkms (2.3-3ubuntu6) bionic; urgency=medium

  * Move dpkg-dev to a real depends, needed for dpkg-architecture
    calls (LP: #1753430)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Mar 2018 10:31:39 +0100

dkms (2.3-3ubuntu5) bionic; urgency=medium

  * 0016-make-sure-info-are-reset.patch: make sure the variable is reset
    before each module parsing, avoiding issues when a module has no
    "version:" field, and not taking as good any previous value.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Mar 2018 13:13:53 +0100

dkms (2.3-3ubuntu4) bionic; urgency=medium

  * 0015-change-arch-in-mkdeb-template.patch: Utilize DEBIAN_BUILD_ARCH in the
    control file for mkdeb. Thanks to Launchpad user martin for the patch.
    (LP: #1729051)

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Dec 2017 15:32:01 -0800

dkms (2.3-3ubuntu3) artful; urgency=medium

  * 0014-remove-initrd-backup.patch: When removing a kernel also remove
    related .old-dkms file from /boot after its been created not before.
    (LP: #1515513)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Oct 2017 13:10:42 -0700

dkms (2.3-3ubuntu2) artful; urgency=medium

  * 0014-remove-initrd-backup.patch: When removing a kernel also remove
    related .old-dkms file from /boot. (LP: #1515513)

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Sep 2017 15:33:17 -0700

dkms (2.3-3ubuntu1) zesty; urgency=medium

  * 0013-postinst-Fix-newest-kernel-detection.patch: dkms_common.postinst:  We
    were passing a list of kernels to get_newest_kernel(), when it expected a
    single kernel as its first argument - the currently running kernel. This
    in turn meant that the sometimes (if the first thing in the list was
    itself the newest kernel), the wrong kernel was passed into
    _get_newest_kernel_debian(). As a result this falsely reported that there
    was no 'newest' kernel available and then didn't build modules for it.
    Drop the parameter to get_newest_kernel(), and instead rely on
    CURRENT_KERNEL being set to $(uname -r). (LP: #1681566)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Apr 2017 15:50:18 +0100

dkms (2.3-3) unstable; urgency=medium

  * Upstream post-2.3 cherry-picks for apport (LP: #1661843)

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2017 23:27:25 +0800

dkms (2.3-2) unstable; urgency=medium

  [ Adam Cornad ]
  * Don't assume /boot/config-* exists, test first.

  [ Aron Xu ]
  * d/control: update VCS-*, std-ver: 3.9.8
  * d/rules: add shim support for Ubuntu derivatives

 -- Aron Xu <aron@debian.org>  Wed, 28 Dec 2016 19:57:32 +0800

dkms (2.3-1) unstable; urgency=medium

  [ Adel Belhouane ]
  * Update mkbmdeb behavior (Closes: #830670)

  [ Aron Xu ]
  * Downgrade menu from Recommends to Suggests (Closes: #744054)
  * Imported Upstream version 2.3
  * Upstream post-release cherry-picks
  * d/compat: 7 -> 9

  [ D. Jared Dominguez ]
  * update URLs

 -- Aron Xu <aron@debian.org>  Wed, 26 Oct 2016 14:26:44 +0800

dkms (2.2.1.0+git20160527-1) unstable; urgency=medium

  * Rebase to upstream commit eb402f72b9a71ccdd0d3610db8570195eb048f1f
  * Update patches

 -- Aron Xu <aron@debian.org>  Tue, 23 Aug 2016 14:24:38 +0800

dkms (2.2.0.3-5) unstable; urgency=medium

  [ Aron Xu ]
  * Remove obsolete virtual package 'linux-image' from Recommends (Closes: #724566)
  * Do not ignore --kernelsourcedir (Closes: #653176)
  * Update upstream link to github
  * Use gbp-pq to manage patches

  [ Daniel Kahn Gillmor ]
  * Make dh_dkms name and version parsing more proper (Closes: #829123)

  [ Dirk Griesbach ]
  * Port apport hook to python3 and add python3-apport to Suggests (Closes: #707008)

  [ Thijs Kinkhorst ]
  * mkbmdeb: support for lean binary package with only the built modules (Closes: #554843)

 -- Aron Xu <aron@debian.org>  Wed, 06 Jul 2016 05:51:37 +0800

dkms (2.2.0.3-4) unstable; urgency=medium

  * Acknowledge 2.2.0.3-2.1 NMU. (Closes: #822351)
  * Make sure apport code write files in binary mode. (Closes: #684377)
  * Build modules using all CPU cores. (Closes: #663114)
  * Improve message printed when kernel headers are missing. (Closes: #690866)
  * Add gbp.conf to ensure pristine-tar feature is used.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 01 May 2016 15:27:22 +0200

dkms (2.2.0.3-3) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Correct indentation of mkdeb in dkms(8) manual page. (Closes: #690865)
  * Drop the unneeded quilt build dependency. (Closes: #728550)
  * Added myself and Aron Xu as uploaders.

  [ Aron Xu ]
  * Added patches from Darik Horn and Ubuntu:
    - Add support for BUILD_DEPENDS (Closes: #729015)
    - Correct handling of POST_BUILD (Closes: #704989)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 27 Apr 2016 10:20:15 +0200

dkms (2.2.0.3-2.1) unstable; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )

SB_PACKAGE :=
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
SB_PACKAGE := 1
endif

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(CURVER) \
		$< > debian/scripts/$@

override_dh_auto_build:

override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install

override_dh_prep:
	dh_prep
ifneq (1,$(SB_PACKAGE))
	echo "Reversing shim support"
	patch -p1 -R < debian/patches/0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
endif

get-orig-source:
	uscan \
		--force-download \
		--download-version $(CURVER) \
		--rename

get-svn-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	cd ../tarballs && make -f $(CURDIR)/debian/rules get-orig-source

## dkms 2.6.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-RELEASE_DATE := "22-September-2014"
+RELEASE_DATE := "26-Apr-2018"
 RELEASE_MAJOR := 2
-RELEASE_MINOR := 2
-RELEASE_SUBLEVEL := 1
-RELEASE_EXTRALEVEL := .0
+RELEASE_MINOR := 6
 RELEASE_NAME := dkms
-RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
+RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
 DIST := unstable
 SHELL=bash
@@ -50,7 +48,7 @@
 	install -p -m 0755 kernel_prerm.d_dkms  $(KCONF)/prerm.d/dkms
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
 
-DOCFILES=sample.spec sample.conf AUTHORS COPYING README.dkms sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec
+DOCFILES=sample.spec sample.conf AUTHORS COPYING README.md sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec
 
 doc-perms:
 	# ensure doc file permissions ok
@@ -117,6 +115,7 @@
 
 rpm: $(TARBALL) dkms.spec
 	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
+	echo $(tmp_dir); \
 	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
 	cp $(TARBALL) $${tmp_dir}/SOURCES ; \
 	sed "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \

=== debian/changelog ===
dkms (2.6.1-4ubuntu2.5) disco; urgency=medium

  * cherry-pick from upstream b957799 for LP: #1838245

 -- Alex Tu <alex.tu@canonical.com>  Thu, 07 Nov 2019 15:37:47 +0800

dkms (2.6.1-4ubuntu2.4) disco; urgency=medium

  * revert 0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch
  * cherry-pick from upstream 9bbef17 for issue #89 #42
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch


 -- Alex Tu <alex.tu@canonical.com>  Mon, 14 Oct 2019 18:38:32 +0800

dkms (2.6.1-4ubuntu2.3) disco; urgency=medium

  * dkms: cherry-pick from upstream a35d981 for issue #89
    0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch
    (LP: #1838921)

 -- Alex Tu <alex.tu@canonical.com>  Mon, 02 Sep 2019 16:08:14 +0800

dkms (2.6.1-4ubuntu2.2) disco; urgency=medium

  * 0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch: OBSOLETE_BY in DKMS.CONF
    (LP: #1828948)

 -- Alex Tu <alex.tu@canonical.com>  Wed, 03 Jul 2019 14:01:45 -0400

dkms (2.6.1-4ubuntu2.1) disco; urgency=medium

  * Do not invoke dkms_autoinstaller from /etc/kernel/header_postinst.d/dkms
    with redirection to /dev/null (LP: #1827697), this caused debconf dialog
    to not be shown.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 May 2019 12:56:47 +0200

dkms (2.6.1-4ubuntu2) disco; urgency=medium

  * d/p/revert-removal-of-modules-from-dkms-built-tree.patch:
    - Revert the upstream change that caused dkms uninstall remove the modules
      from the built tree, as that seems wrong. The uninstall operation should
      leave the module in the 'built' state as per design (LP: #1821823).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 17 Apr 2019 11:30:19 +0100

dkms (2.6.1-4ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - tweak 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
      to add a loop for signing kernel modules
    - break shim-signed 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Jan 2019 14:30:24 +0100

dkms (2.6.1-4) unstable; urgency=medium

  * Remove shim-signed break

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Jan 2019 13:27:05 +0100

dkms (2.6.1-3ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - tweak 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
      to add a loop for signing kernel modules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jan 2019 18:24:04 +0100

dkms (2.6.1-3) unstable; urgency=medium

  * debian/patches/63.patch:
    - cherry-pick upstream fix when default shell is zsh (Closes: #910526)
  * Install bash completion script in usr/share new location (Closes: #912849)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jan 2019 18:06:43 +0100

dkms (2.6.1-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - tweak 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
      to add a loop for signing kernel modules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jan 2019 16:36:49 +0100

dkms (2.6.1-2) unstable; urgency=medium

  * Team upload (salsa shared repo)
  * Add dpkg-dev dependency, needed for dpkg-architecture calls (Closes: #884658)
  * cherry-pick shim-signed break relationship from Ubuntu
    - (will be needed if Debian shim-signed is updated)
  * debian/patches/6ef1a48eda99ec0d728302830483fd0137174d17.patch:
    cherry-pick upstream fix for kernel version parsing
  * debian/patches/0015-change-arch-in-mkdeb-template.patch: cherry-pick
    Ubuntu applied fix for mkbmdeb (Closes: #832558)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jan 2019 16:15:32 +0100

dkms (2.6.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on dpkg-dev, needed for dpkg-architecture
    - Break shim-signed
    - tweak 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
      to add a loop for signing kernel modules
    - change DEBIAN_BUILD_ARCH also in mkbmdeb, following patch 0004
    - debian/patches/6ef1a48eda99ec0d728302830483fd0137174d17.patch:
      cherry-pick upstream fix for kernel version parsing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Dec 2018 13:13:34 +0100

dkms (2.6.1-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Remove Giuseppe Iuculano as uploader on request from the MIA team.
    (Closes: #866839)

  [ Aron Xu ]
  * New upstream version 2.6.1
  * Drop patches not used
  * Use @tracker.d.o address
  * Use salsa.d.o Git URLs
  * Set std-ver to 4.1.4

 -- Aron Xu <aron@debian.org>  Sun, 05 Aug 2018 01:52:35 +0800

dkms (2.3-3ubuntu11) cosmic; urgency=medium

  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: source
    /usr/share/debconf/confmodule from dkms_common.postinst to ensure we have
    all the environment ready to successfully show debconf prompts when dkms
    modules are being built. (LP: #1781001)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 Jul 2018 16:14:29 -0400

dkms (2.3-3ubuntu10) cosmic; urgency=medium

  * 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch: move sign
    code to dkms script itself, so it also applies on kernel upgrades.
    (LP: #1772950)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 23 May 2018 13:15:53 -0400

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dynamic Kernel Modules Support Team <dkms@tracker.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 4.1.4
Homepage: https://github.com/dell-oss/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms

Package: dkms
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc,
 dpkg-dev,
 make | build-essential,
 coreutils (>= 7.4),
 patch
Recommends: fakeroot,
 sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
 lsb-release
Suggests: python3-apport, menu
Breaks: shim-signed (<< 1.34~)
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

## dkms 2.7.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 MAN = $(DESTDIR)/usr/share/man/man8
 INITD = $(DESTDIR)/etc/rc.d/init.d
 LIBDIR = $(DESTDIR)/usr/lib/dkms
-BASHDIR = $(DESTDIR)/etc/bash_completion.d
+BASHDIR = $(DESTDIR)/usr/share/bash-completion/completions
 KCONF = $(DESTDIR)/etc/kernel
 SHAREDIR = $(DESTDIR)/usr/share
 DOCDIR = $(SHAREDIR)/doc/dkms

=== debian/changelog ===
dkms (2.7.1-4ubuntu2) eoan; urgency=medium

  * revert 0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch
  * cherry-pick from upstream 9bbef17 for issue #89 #42
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch
    (LP: #1838921)

 -- Alex Tu <alex.tu@canonical.com>  Thu, 03 Oct 2019 17:38:12 +0800

dkms (2.7.1-4ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 10:20:21 +0200

dkms (2.7.1-4) unstable; urgency=medium

  * QA upload.
  * Cherry-pick two other Ubuntu/Upstream patches:
    - 0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch
    - lp-1827697.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 10:17:59 +0200

dkms (2.7.1-3) unstable; urgency=medium

  * QA upload

  [ You-Sheng Yang ]
  * Fix lintian warnings related to manpages typos
  * Add debian/ci yaml file
  * Fix lintian warning about python shebang

  [ Dimitri John Ledkov]
  * Try to improve dkms-autopkgtest when testing incompatible dkms
    modules. Ensure package is purged first, as make.log is not
    regenerated upon second installation. Also, before checking the
    make.log check if the package in question is a dkms.conf one, as
    otherwise empty tarball is created. This should now unbreak
    testability of multi-binary packages, which have build-excluded dkms
    modules.

  [ Timo Aaltonen ]
  * dkms: cherry-pick from upstream a35d981 for issue #89
    0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch (LP: #1838921)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 10:08:19 +0200

dkms (2.7.1-2ubuntu3) eoan; urgency=medium

  * Try to improve dkms-autopkgtest when testing incompatible dkms
    modules. Ensure package is purged first, as make.log is not
    regenerated upon second installation. Also, before checking the
    make.log check if the package in question is a dkms.conf one, as
    otherwise empty tarball is created. This should now unbreak
    testability of multi-binary packages, which have build-excluded dkms
    modules.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 05 Sep 2019 11:24:35 +0100

dkms (2.7.1-2ubuntu2) eoan; urgency=medium

  * dkms: cherry-pick from upstream a35d981 for issue #89
    0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch (LP: #1838921)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Sep 2019 17:28:28 +0300

dkms (2.7.1-2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed
    - Fix support for OBSOLETE_BY in DKMS.CONF
    - Do not invoke dkms_autoinstaller from /etc/kernel/header_postinst.d/dkms

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 15:42:50 +0200

dkms (2.7.1-2) unstable; urgency=medium

  * QA upload
  [ Seth Forshee ]
  * debian/dkms-autopkgtest: skip testing when package is disabled from
    building by a BUILD_EXCLUSIVE directive.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 15:36:18 +0200

dkms (2.7.1-1ubuntu2) eoan; urgency=medium

  * debian/dkms-autopkgtest: skip testing when package is disabled from
    building by a BUILD_EXCLUSIVE directive.

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 19 Jul 2019 13:35:46 -0500

dkms (2.7.1-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed
    - Fix support for OBSOLETE_BY in DKMS.CONF
    - Do not invoke dkms_autoinstaller from /etc/kernel/header_postinst.d/dkms

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2019 09:43:59 +0200

dkms (2.7.1-1) unstable; urgency=medium

  * QA upload
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2019 09:41:26 +0200

dkms (2.7.1-1~exp2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed
    - Fix support for OBSOLETE_BY in DKMS.CONF
    - Do not invoke dkms_autoinstaller from /etc/kernel/header_postinst.d/dkms

  * Drop changes in new upstream release:
    - revert-removal-of-modules-from-dkms-built-tree.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2019 11:16:41 +0200

dkms (2.7.1-1~exp2) experimental; urgency=medium

  * QA upload
  * Drop trailing newlines
  * Use DEB_VERSION_UPSTREAM to guess upstream revision
  * Drop old get-orig-source target
  * Bump compat level to 12
  * Bump std-version to 4.3.0, no changes required
  * Apply UEFI patch from Ubuntu,
    it is not applied in Debian (removed in debian/rules conditional statement)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2019 11:09:04 +0200

dkms (2.7.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * QA upload
  * Drop upstream patches:
    - {63,6ef1a48eda99ec0d728302830483fd0137174d17,bash-completions}.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2019 10:45:13 +0200

dkms (2.6.1-4ubuntu4) eoan; urgency=medium

  * Do not invoke dkms_autoinstaller from /etc/kernel/header_postinst.d/dkms
    with redirection to /dev/null (LP: #1827697), this caused debconf dialog
    to not be shown.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 May 2019 12:56:47 +0200

dkms (2.6.1-4ubuntu3) eoan; urgency=medium

  [ Alex Tu ]
  * debian/patches/0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch:
    Fix support for OBSOLETE_BY in DKMS.CONF (LP: #1828948)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 14 May 2019 16:46:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: dkms
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dynamic Kernel Modules Support Team <dkms@tracker.debian.org>
+Maintainer: Dynamic Kernel Modules Support Team <dkms@tracker.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
  Mario Limonciello <Mario_Limonciello@dell.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://github.com/dell-oss/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms

## dkms 2.8.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-RELEASE_DATE := "26-Apr-2018"
+RELEASE_DATE := "31-OCT-2019"
 RELEASE_MAJOR := 2
-RELEASE_MINOR := 6
+RELEASE_MINOR := 8
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -88,6 +88,10 @@
 	chmod +x $(ETC)/template-dkms-mkdeb/debian/postinst
 	chmod +x $(ETC)/template-dkms-mkdeb/debian/prerm
 	chmod +x $(ETC)/template-dkms-mkdeb/debian/rules
+	mkdir   -p -m 0755 $(ETC)/template-dkms-mkbmdeb/debian
+	install -p -m 0664 template-dkms-mkbmdeb/Makefile $(ETC)/template-dkms-mkbmdeb/
+	install -p -m 0664 template-dkms-mkbmdeb/debian/* $(ETC)/template-dkms-mkbmdeb/debian/
+	chmod +x $(ETC)/template-dkms-mkbmdeb/debian/rules
 	rm $(DOCDIR)/COPYING*
 	rm $(DOCDIR)/sample*

=== debian/changelog ===
dkms (2.8.1-5ubuntu2) focal; urgency=medium

  * dkms-autopkgtest: Also select binary packages that depends on dkms for testing
   (LP: #1915051)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 11 Feb 2021 12:05:43 -0300

dkms (2.8.1-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 15:14:40 +0100

dkms (2.8.1-5) unstable; urgency=medium

  * Team upload.
  * Patch dkms to not load random modules during dkms install
    Closes: #931017
  * Replace maintainer email address with dkms@packages.debian.org
  * Drop Depends on lsb-release, we have Pre-Depends already.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 22 Jan 2020 12:42:37 +0100

dkms (2.8.1-4ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2019 10:05:09 +0100

dkms (2.8.1-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Import Ubuntu patch

  [ Dimitri John Ledkov ]
  * Some dkms modules are included by the Ubuntu kernel and not overriden
    by default. That's ok, as long as they are installed. Do not fail
    autopkgtest in this case. See virtualbox dkms test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2019 10:00:44 +0100

dkms (2.8.1-3ubuntu2) focal; urgency=medium

  * Some dkms modules are included by the Ubuntu kernel and not overriden
    by default. That's ok, as long as they are installed. Do not fail
    autopkgtest in this case. See virtualbox dkms test.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2019 00:18:43 +0000

dkms (2.8.1-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2019 13:19:38 +0100

dkms (2.8.1-3) unstable; urgency=medium

  * Suggest e2fsprogs (Closes: #887263)
  * Add some verbosity on log messages (Closes: #840620)
  * Depend on lsb-release (Closes: #896814)
  * Do not depend anymore on python3-apport, removed even from experimental
    (Closes: #881709)
  * Add back the pre-depends on lsb-release (Closes: #826928)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2019 12:39:25 +0100

dkms (2.8.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 23:30:09 +0100

dkms (2.8.1-2) unstable; urgency=medium

  * QA upload
  * Fix build by dropping patch revert

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 23:27:29 +0100

dkms (2.8.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 17:51:31 +0100

dkms (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * Drop all the patches, all of them are now upstream
    - 0001-688904.patch
    - 0002-757758.patch
    - 0003-Do-not-ignore-kernelsourcedir.patch
    - 0004-mkbmdeb-support-for-lean-binary-package-with-only-th.patch
    - 0008-Don-t-assume-boot-config-exists-test-first.patch
    - 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
    - 0015-change-arch-in-mkdeb-template.patch
    - 0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch
    - lp-1827697.patch
    - 0008-man-fix-manpage-has-errors-from-man-lintina-warning.patch
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch
    - 0020-versioned-provides.patch
  * Bump std-version to 4.4.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 17:49:54 +0100

dkms (2.7.1-5ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - break shim-signed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:50:38 +0200

dkms (2.7.1-5) unstable; urgency=medium

  [ Aron Xu ]
  * Allow any c-compiler to satisfy the required Depends (Closes: #620754)
  * Only test "-dkms" packages in dkms-autopkgtest (Closes: #903588)

  [ Alex Tu ]
  * revert 0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch
  * cherry-pick from upstream 9bbef17 for issue #89 #42
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch
    (LP: #1838921)

  [ Martijn Grendelman ]
  * Add versioned provides to mkbmdeb (Closes: #943484)

  [ Gianfranco Costamagna ]
  * QA upload.
  * Add Ubuntu patch, now upstream
  * Drop old patch
  * Add patch from Martijn Grendelman to add versioned provides to dkms

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:47:11 +0200

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://github.com/dell-oss/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc | c-compiler,
 dpkg-dev,
 make | build-essential,
 coreutils (>= 7.4),
 patch,
 dctrl-tools,
Recommends: fakeroot,
 sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
Suggests: menu, e2fsprogs
Breaks: shim-signed (<< 1.34~)
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > debian/scripts/$@

override_dh_auto_build:

override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install

## dkms 2.8.3

=== debian/changelog ===
dkms (2.8.3-4ubuntu0.1) groovy; urgency=medium

  * dkms-autopkgtest: Also select binary packages that depends on dkms for testing
    (LP: #1915051)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 11 Feb 2021 12:02:19 -0300

dkms (2.8.3-4) unstable; urgency=medium

  * Silently source dkms.conf files, to help iptables-netflow work
    in autopkgtests (Addresses: #966483)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 12:03:25 +0200

dkms (2.8.3-3) unstable; urgency=medium

  * dynamically generate breaks for shim-signed in Ubuntu and Derivates

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 10:30:50 +0200

dkms (2.8.3-2) unstable; urgency=medium

  * tweak dkms-autopkgtest script to avoid cases where some files called "dkms.conf"
    are stored somewhere else (e.g. /etc).
    This fixes e.g.
    dpkg -L broadcom-sta-dkms |grep "dkms.conf"
    /etc/modprobe.d/broadcom-sta-dkms.conf
    /usr/src/broadcom-sta-6.30.223.271/dkms.conf
    and others (8168-dkms) (Closes: #959910)
  * Make copyright file machine readable and add myself to it
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 09:28:05 +0200

dkms (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3
  * Drop patches:
    - 130,
    - no-autoinstall-flag-file,
    - 885f8275aa65fb11be1e17bc28a0b0ea734dc585: upstream
  * Refresh patch do-not-load-modules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:44:36 +0200

dkms (2.8.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Tweak previous patch to do bash string comparison (Closes: #956245)
    thanks Thorsten Glaser for the reminder!

  [ Andreas Beckmann ]
  * use /etc/dkms/no-autoinstall as flag file to disable autoinstall
  * improve dkms-autopkgtest (Closes: #959910)

  [ Seth Forshee ]
  * Cherry-pick upstream fix for dkms failure with signed kernel modules
    - debian/patches/885f8275aa65fb11be1e17bc28a0b0ea734dc585.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 10:00:12 +0200

dkms (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * Drop verboselog patch: upstreamed
  * Refresh do-not-load-modules patch
  * Bump std-version to 4.5.0
  * Bump debhelper compat level to 13
  * Bump watch file version to 4
  * Add upstream proposed patch to close Debian bug 956245. (Closes: #956245)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jun 2020 11:21:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
  Mario Limonciello <Mario_Limonciello@dell.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://github.com/dell-oss/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
+Rules-Requires-Root: no
 
 Package: dkms
 Architecture: all
@@ -28,7 +29,7 @@
  sudo,
  linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
 Suggests: menu, e2fsprogs
-Breaks: shim-signed (<< 1.34~)
+Breaks: ${dkms:Breaks}
 Description: Dynamic Kernel Module Support Framework
  DKMS is a framework designed to allow individual kernel modules to be upgraded
  without changing the whole kernel. It is also very easy to rebuild modules as

## dkms 2.8.4

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 	install -p -m 0755 dkms $(SBIN)
 	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
+	install -p -m 0755 kernel_install.d_dkms $(ETC)
+	install -p -m 0755 sign_helper.sh $(ETC)
 	install -p -m 0644 dkms_dbversion $(VAR)
 	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
 	# install compressed manpage with proper timestamp and permissions
@@ -62,6 +64,8 @@
 	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
 	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
 	install -p -m 0755 dkms_autoinstaller $(INITD)
+	install -p -m 0755 kernel_install.d_dkms $(ETC)
+	install -p -m 0755 sign_helper.sh $(ETC)
 
 install-redhat-systemd: install doc-perms
 	mkdir -m 0755 -p  $(SYSTEMD)
@@ -71,6 +75,8 @@
 	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
 	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
 	install -p -m 0644 dkms.service $(SYSTEMD)
+	install -p -m 0755 kernel_install.d_dkms $(ETC)
+	install -p -m 0755 sign_helper.sh $(ETC)
 
 install-doc:
 	mkdir -m 0755 -p $(DOCDIR)
@@ -92,6 +98,8 @@
 	install -p -m 0664 template-dkms-mkbmdeb/Makefile $(ETC)/template-dkms-mkbmdeb/
 	install -p -m 0664 template-dkms-mkbmdeb/debian/* $(ETC)/template-dkms-mkbmdeb/debian/
 	chmod +x $(ETC)/template-dkms-mkbmdeb/debian/rules
+	install -p -m 0755 kernel_install.d_dkms $(ETC)
+	install -p -m 0755 sign_helper.sh $(ETC)
 	rm $(DOCDIR)/COPYING*
 	rm $(DOCDIR)/sample*

=== test/dkms_test-1.0/Makefile ===
obj-m += dkms_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== debian/changelog ===
dkms (2.8.4-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.

  [ Andreas Beckmann ]
  * Export the CC variable from .kernelvariables in the kernel source to allow
    module build systems use the kernel's compiler also outside of Kbuild.
    (Closes: #984929)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Mar 2021 12:11:42 +0100

dkms (2.8.4-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Andreas Beckmann ]
  * Add Provides: dh-sequence-dkms to help reverse-dependencies use it. (Closes: #981395)

  [ Marcelo Henrique Cerri ]
  * dkms-autopkgtest: Also select binary packages that depends on dkms for testing (LP: #1915051)
    Closes: #982315

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 11 Feb 2021 11:56:32 -0300

dkms (2.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 2.0.17.5-0ubuntu1.

  [ Aron Xu ]
  * New upstream version 2.8.4
  * Refresh patch do-not-load-module.patch

 -- Aron Xu <aron@debian.org>  Tue, 22 Dec 2020 14:32:22 +0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 Package: dkms
 Architecture: all
+Provides: dh-sequence-dkms
 Multi-Arch: foreign
 Pre-Depends: lsb-release
 Depends: ${misc:Depends},

=== debian/watch ===
version=4

#we no longer are hosted on linux.dell.com
#http://linux.dell.com/dkms/permalink/dkms-(.*)\.tar\.gz

https://github.com/dell/dkms/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|dkms(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
